Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034766
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2016-12-19 10:582016-12-19 23:17
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision4497cd62e25e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034766: Incomplete audit trail info for elements created from WebPOS

DescriptionDatabase objects created or modified from WebPOS do not include all required information regarding audit trail.
Steps To Reproduce0. In a professional instance with retail pack installed
1. As sys admin set C_Order as fully audited table and recreate audit infrastructure
2. Log in WebPOS and create an order
3. Log in backed and open that order
4. Check audit info
  -> ERROR: It does not contain information this order was created from WebPOS order loader

Note the same problem occurs for other elements created/edited from WebPOS, such as:
- Cash up
- Created/edited BPs
- Cancelled/Voided layways
- ...
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024005 closedalostale When doing changes on an element using dal the Ad_context_info is not filled so the audit does not work properly 
related to design defect 0034817 acknowledgedplatform audit trail cannot be seen for unmodified records 
related to design defect 0035007 closedalostale audit trail causes excessive overhead 

-  Notes
(0092769)
hgbot (developer)
2016-12-19 11:52

Repository: erp/devel/pi
Changeset: af2bf6adfe06a1261e88e6bd696fcab0a21c64a2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Dec 19 11:32:51 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/af2bf6adfe06a1261e88e6bd696fcab0a21c64a2 [^]

related to bug 34766: Incomplete audit trail info in WebPOS elements

  - Added Import Entry type for audit trail records
  - Different implementations of Import entry can override their process id so
    more information can be displayed in UI
  - Types not defined in AD (ie. Import Entry) can save in process id any string
    in case it is defined as a message in AD_Message, it will be shown in UI

---
M src-core/src/org/openbravo/database/SessionInfo.java
M src-db/database/model/views/AD_AUDIT_TRAIL_V.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopup.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0092770)
hgbot (developer)
2016-12-19 11:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4497cd62e25ea3b1664cc06d0d0e114581a8017e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Dec 19 11:47:36 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4497cd62e25ea3b1664cc06d0d0e114581a8017e [^]

fixed bug 34766: Incomplete audit trail info in WebPOS elements

  Added process information for main processes extending Import Entry

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/importprocess/CancelLayawayImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CashManagementImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/QuotationsRejectEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/VoidLayawayEntryProcessor.java
---
(0092778)
caristu (developer)
2016-12-19 14:17

Code review + testing OK: objects created from WebPOS include now all required audit trail information.
(0092783)
hgbot (developer)
2016-12-19 15:17

Repository: erp/devel/pi
Changeset: d7eecb18eb325e52174553f148e0ecf919ba26d9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Dec 19 15:16:13 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d7eecb18eb325e52174553f148e0ecf919ba26d9 [^]

related to bug 34766: fixed view for Oracle

---
M src-db/database/model/views/AD_AUDIT_TRAIL_V.xml
---
(0092784)
hgbot (developer)
2016-12-19 15:45

Repository: erp/devel/pi
Changeset: 7027d3669e56b3e440dd3cd3a19c94b4aaae757e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Dec 19 15:30:07 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7027d3669e56b3e440dd3cd3a19c94b4aaae757e [^]

related to bug 34766: fixed db consistency

---
M src-db/database/model/views/AD_AUDIT_TRAIL_V.xml
---
(0092799)
hudsonbot (developer)
2016-12-19 23:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c51303887c8 [^]
Maturity status: Test
(0092801)
hudsonbot (developer)
2016-12-19 23:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c51303887c8 [^]
Maturity status: Test
(0092802)
hudsonbot (developer)
2016-12-19 23:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c51303887c8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-12-19 10:58 alostale New Issue
2016-12-19 10:58 alostale Assigned To => platform
2016-12-19 10:58 alostale Modules => Core
2016-12-19 10:58 alostale Triggers an Emergency Pack => No
2016-12-19 10:58 alostale Assigned To platform => alostale
2016-12-19 10:58 alostale Review Assigned To => caristu
2016-12-19 11:02 alostale Relationship added related to 0024005
2016-12-19 11:52 hgbot Checkin
2016-12-19 11:52 hgbot Note Added: 0092769
2016-12-19 11:53 hgbot Checkin
2016-12-19 11:53 hgbot Note Added: 0092770
2016-12-19 11:53 hgbot Status new => resolved
2016-12-19 11:53 hgbot Resolution open => fixed
2016-12-19 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4497cd62e25ea3b1664cc06d0d0e114581a8017e [^]
2016-12-19 14:17 caristu Note Added: 0092778
2016-12-19 14:17 caristu Status resolved => closed
2016-12-19 14:17 caristu Fixed in Version => 3.0PR17Q1
2016-12-19 15:17 hgbot Checkin
2016-12-19 15:17 hgbot Note Added: 0092783
2016-12-19 15:45 hgbot Checkin
2016-12-19 15:45 hgbot Note Added: 0092784
2016-12-19 23:17 hudsonbot Checkin
2016-12-19 23:17 hudsonbot Note Added: 0092799
2016-12-19 23:17 hudsonbot Checkin
2016-12-19 23:17 hudsonbot Note Added: 0092801
2016-12-19 23:17 hudsonbot Checkin
2016-12-19 23:17 hudsonbot Note Added: 0092802
2016-12-23 09:11 alostale Relationship added related to 0034817
2017-01-20 13:18 alostale Relationship added related to 0035007


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker